### 5.1.93 minres

`Syntax:`
  `minres (` list_expression `)`
`Type:`
  list
`Syntax:`
  `minres (` resolution_expression `)`
`Type:`
  resolution
`Purpose:`
  minimizes a free resolution of an ideal or module given by the list_expression, resp. resolution_expression.
`Example:`

        ring r1=32003,(x,y),dp;
        ideal i=x5+xy4,x3+x2y+xy2+y3;
        resolution rs=lres(i,0);
        rs;
      ==>   1       2       1
      ==> r1 <--  r1 <--  r1
      ==>
      ==> 0       1       2
      ==>
        list(rs);
      ==> [1]:
      ==>    _[1]=x3+x2y+xy2+y3
      ==>    _[2]=xy4
      ==> [2]:
      ==>    _[1]=xy4*gen(1)-x3*gen(2)-x2y*gen(2)-xy2*gen(2)-y3*gen(2)
      ==> [3]:
      ==>    _[1]=0
        minres(rs);
      ==>   1       2       1
      ==> r1 <--  r1 <--  r1
      ==>
      ==> 0       1       2
      ==>
        list(rs);
      ==> [1]:
      ==>    _[1]=x3+x2y+xy2+y3
      ==>    _[2]=xy4
      ==> [2]:
      ==>    _[1]=xy4*gen(1)-x3*gen(2)-x2y*gen(2)-xy2*gen(2)-y3*gen(2)
      ==> [3]:
      ==>    _[1]=0

See fres; mres; mres_map; res; sres.

User manual for Singular version 4.4.1, 2025, generated by texi2html.